diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -25247,7 +25306,7 @@ module Tables = struct
         let _v : (unit option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25251 "parsing/parser.ml"
+# 25310 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25272,7 +25331,7 @@ module Tables = struct
         let _v : (unit option) = 
 # 116 "<standard.mly>"
     ( Some x )
-# 25276 "parsing/parser.ml"
+# 25335 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25290,7 +25349,7 @@ module Tables = struct
         let _v : (unit option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25294 "parsing/parser.ml"
+# 25353 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25315,7 +25374,7 @@ module Tables = struct
         let _v : (unit option) = 
 # 116 "<standard.mly>"
     ( Some x )
-# 25319 "parsing/parser.ml"
+# 25378 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25333,7 +25392,7 @@ module Tables = struct
         let _v : (string Asttypes.loc option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25337 "parsing/parser.ml"
+# 25396 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25358,9 +25417,9 @@ module Tables = struct
           };
         } = _menhir_stack in
         let _1_inlined1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 25364 "parsing/parser.ml"
+# 25423 "parsing/parser.ml"
         ) = Obj.magic _1_inlined1 in
         let _1 : unit = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
@@ -25373,21 +25432,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 25379 "parsing/parser.ml"
+# 25438 "parsing/parser.ml"
             
           in
           
 # 183 "<standard.mly>"
     ( x )
-# 25385 "parsing/parser.ml"
+# 25444 "parsing/parser.ml"
           
         in
         
 # 116 "<standard.mly>"
     ( Some x )
-# 25391 "parsing/parser.ml"
+# 25450 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25405,7 +25464,7 @@ module Tables = struct
         let _v : (Parsetree.core_type option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25409 "parsing/parser.ml"
+# 25468 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25437,12 +25496,12 @@ module Tables = struct
         let _v : (Parsetree.core_type option) = let x = 
 # 183 "<standard.mly>"
     ( x )
-# 25441 "parsing/parser.ml"
+# 25500 "parsing/parser.ml"
          in
         
 # 116 "<standard.mly>"
     ( Some x )
-# 25446 "parsing/parser.ml"
+# 25505 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25460,7 +25519,7 @@ module Tables = struct
         let _v : (Parsetree.expression option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25464 "parsing/parser.ml"
+# 25523 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25492,12 +25551,12 @@ module Tables = struct
         let _v : (Parsetree.expression option) = let x = 
 # 183 "<standard.mly>"
     ( x )
-# 25496 "parsing/parser.ml"
+# 25555 "parsing/parser.ml"
          in
         
 # 116 "<standard.mly>"
     ( Some x )
-# 25501 "parsing/parser.ml"
+# 25560 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25515,7 +25574,7 @@ module Tables = struct
         let _v : (Parsetree.module_type option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25519 "parsing/parser.ml"
+# 25578 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25547,12 +25606,12 @@ module Tables = struct
         let _v : (Parsetree.module_type option) = let x = 
 # 183 "<standard.mly>"
     ( x )
-# 25551 "parsing/parser.ml"
+# 25610 "parsing/parser.ml"
          in
         
 # 116 "<standard.mly>"
     ( Some x )
-# 25556 "parsing/parser.ml"
+# 25615 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25570,7 +25629,7 @@ module Tables = struct
         let _v : (Parsetree.pattern option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25574 "parsing/parser.ml"
+# 25633 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25602,12 +25661,12 @@ module Tables = struct
         let _v : (Parsetree.pattern option) = let x = 
 # 183 "<standard.mly>"
     ( x )
-# 25606 "parsing/parser.ml"
+# 25665 "parsing/parser.ml"
          in
         
 # 116 "<standard.mly>"
     ( Some x )
-# 25611 "parsing/parser.ml"
+# 25670 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25625,7 +25684,7 @@ module Tables = struct
         let _v : (Parsetree.expression option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25629 "parsing/parser.ml"
+# 25688 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25657,12 +25716,12 @@ module Tables = struct
         let _v : (Parsetree.expression option) = let x = 
 # 183 "<standard.mly>"
     ( x )
-# 25661 "parsing/parser.ml"
+# 25720 "parsing/parser.ml"
          in
         
 # 116 "<standard.mly>"
     ( Some x )
-# 25666 "parsing/parser.ml"
+# 25725 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25680,7 +25739,7 @@ module Tables = struct
         let _v : ((Parsetree.core_type option * Parsetree.core_type option) option) = 
 # 114 "<standard.mly>"
     ( None )
-# 25684 "parsing/parser.ml"
+# 25743 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25705,7 +25764,7 @@ module Tables = struct
         let _v : ((Parsetree.core_type option * Parsetree.core_type option) option) = 
 # 116 "<standard.mly>"
     ( Some x )
-# 25709 "parsing/parser.ml"
+# 25768 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25724,17 +25783,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 668 "parsing/parser.mly"
+# 676 "parsing/parser.mly"
        (string)
-# 25730 "parsing/parser.ml"
+# 25789 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3661 "parsing/parser.mly"
+# 3689 "parsing/parser.mly"
                                                 ( _1 )
-# 25738 "parsing/parser.ml"
+# 25797 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25766,18 +25825,18 @@ module Tables = struct
         } = _menhir_stack in
         let _3 : unit = Obj.magic _3 in
         let _2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 25772 "parsing/parser.ml"
+# 25831 "parsing/parser.ml"
         ) = Obj.magic _2 in
         let _1 : unit = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (string) = 
-# 3662 "parsing/parser.mly"
+# 3690 "parsing/parser.mly"
                                                 ( _2 )
-# 25781 "parsing/parser.ml"
+# 25840 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25831,9 +25890,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1253 "parsing/parser.mly"
+# 1261 "parsing/parser.mly"
       ( mkmod ~loc:_sloc (Pmod_constraint(me, mty)) )
-# 25837 "parsing/parser.ml"
+# 25896 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25886,9 +25945,9 @@ module Tables = struct
         let _v : (Parsetree.module_expr) = let _loc__5_ = (_startpos__5_, _endpos__5_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1255 "parsing/parser.mly"
+# 1263 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__5_ )
-# 25892 "parsing/parser.ml"
+# 25951 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25925,9 +25984,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.module_expr) = 
-# 1258 "parsing/parser.mly"
+# 1266 "parsing/parser.mly"
       ( me (* TODO consider reloc *) )
-# 25931 "parsing/parser.ml"
+# 25990 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -25966,9 +26025,9 @@ module Tables = struct
         let _v : (Parsetree.module_expr) = let _loc__3_ = (_startpos__3_, _endpos__3_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1260 "parsing/parser.mly"
+# 1268 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__3_ )
-# 25972 "parsing/parser.ml"
+# 26031 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26019,25 +26078,25 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.module_expr) = let e = 
-# 1277 "parsing/parser.mly"
+# 1285 "parsing/parser.mly"
       ( e )
-# 26025 "parsing/parser.ml"
+# 26084 "parsing/parser.ml"
          in
         let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26032 "parsing/parser.ml"
+# 26091 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1264 "parsing/parser.mly"
+# 1272 "parsing/parser.mly"
       ( mkmod ~loc:_sloc ~attrs (Pmod_unpack e) )
-# 26041 "parsing/parser.ml"
+# 26100 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26108,11 +26167,11 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 26116 "parsing/parser.ml"
+# 26175 "parsing/parser.ml"
             
           in
           let _endpos_ty_ = _endpos__1_ in
@@ -26120,26 +26179,26 @@ module Tables = struct
           let _startpos = _startpos_e_ in
           let _loc = (_startpos, _endpos) in
           
-# 1279 "parsing/parser.mly"
+# 1287 "parsing/parser.mly"
       ( ghexp ~loc:_loc (Pexp_constraint (e, ty)) )
-# 26126 "parsing/parser.ml"
+# 26185 "parsing/parser.ml"
           
         in
         let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26134 "parsing/parser.ml"
+# 26193 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1264 "parsing/parser.mly"
+# 1272 "parsing/parser.mly"
       ( mkmod ~loc:_sloc ~attrs (Pmod_unpack e) )
-# 26143 "parsing/parser.ml"
+# 26202 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26225,11 +26284,11 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 26233 "parsing/parser.ml"
+# 26292 "parsing/parser.ml"
             
           in
           let _endpos_ty2_ = _endpos__1_inlined1_ in
@@ -26238,37 +26297,37 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 26246 "parsing/parser.ml"
+# 26305 "parsing/parser.ml"
             
           in
           let _endpos = _endpos_ty2_ in
           let _startpos = _startpos_e_ in
           let _loc = (_startpos, _endpos) in
           
-# 1281 "parsing/parser.mly"
+# 1289 "parsing/parser.mly"
       ( ghexp ~loc:_loc (Pexp_coerce (e, Some ty1, ty2)) )
-# 26255 "parsing/parser.ml"
+# 26314 "parsing/parser.ml"
           
         in
         let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26263 "parsing/parser.ml"
+# 26322 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1264 "parsing/parser.mly"
+# 1272 "parsing/parser.mly"
       ( mkmod ~loc:_sloc ~attrs (Pmod_unpack e) )
-# 26272 "parsing/parser.ml"
+# 26331 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26339,11 +26398,11 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 26347 "parsing/parser.ml"
+# 26406 "parsing/parser.ml"
             
           in
           let _endpos_ty2_ = _endpos__1_ in
@@ -26351,26 +26410,26 @@ module Tables = struct
           let _startpos = _startpos_e_ in
           let _loc = (_startpos, _endpos) in
           
-# 1283 "parsing/parser.mly"
+# 1291 "parsing/parser.mly"
       ( ghexp ~loc:_loc (Pexp_coerce (e, None, ty2)) )
-# 26357 "parsing/parser.ml"
+# 26416 "parsing/parser.ml"
           
         in
         let attrs =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26365 "parsing/parser.ml"
+# 26424 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1264 "parsing/parser.mly"
+# 1272 "parsing/parser.mly"
       ( mkmod ~loc:_sloc ~attrs (Pmod_unpack e) )
-# 26374 "parsing/parser.ml"
+# 26433 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26430,17 +26489,17 @@ module Tables = struct
         let _v : (Parsetree.module_expr) = let _3 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26436 "parsing/parser.ml"
+# 26495 "parsing/parser.ml"
           
         in
         let _loc__6_ = (_startpos__6_, _endpos__6_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1266 "parsing/parser.mly"
+# 1274 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__6_ )
-# 26444 "parsing/parser.ml"
+# 26503 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26500,17 +26559,17 @@ module Tables = struct
         let _v : (Parsetree.module_expr) = let _3 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26506 "parsing/parser.ml"
+# 26565 "parsing/parser.ml"
           
         in
         let _loc__6_ = (_startpos__6_, _endpos__6_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1268 "parsing/parser.mly"
+# 1276 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__6_ )
-# 26514 "parsing/parser.ml"
+# 26573 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26563,17 +26622,17 @@ module Tables = struct
         let _v : (Parsetree.module_expr) = let _3 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 26569 "parsing/parser.ml"
+# 26628 "parsing/parser.ml"
           
         in
         let _loc__5_ = (_startpos__5_, _endpos__5_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1270 "parsing/parser.mly"
+# 1278 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__5_ )
-# 26577 "parsing/parser.ml"
+# 26636 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26603,13 +26662,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 805 "parsing/parser.mly"
+# 813 "parsing/parser.mly"
       (Longident.t)
-# 26609 "parsing/parser.ml"
+# 26668 "parsing/parser.ml"
         ) = 
-# 1174 "parsing/parser.mly"
+# 1182 "parsing/parser.mly"
     ( _1 )
-# 26613 "parsing/parser.ml"
+# 26672 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26639,13 +26698,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 795 "parsing/parser.mly"
+# 803 "parsing/parser.mly"
       (Longident.t)
-# 26645 "parsing/parser.ml"
+# 26704 "parsing/parser.ml"
         ) = 
-# 1159 "parsing/parser.mly"
+# 1167 "parsing/parser.mly"
     ( _1 )
-# 26649 "parsing/parser.ml"
+# 26708 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26675,13 +26734,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 789 "parsing/parser.mly"
+# 797 "parsing/parser.mly"
       (Parsetree.core_type)
-# 26681 "parsing/parser.ml"
+# 26740 "parsing/parser.ml"
         ) = 
-# 1134 "parsing/parser.mly"
+# 1142 "parsing/parser.mly"
     ( _1 )
-# 26685 "parsing/parser.ml"
+# 26744 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26711,13 +26770,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 791 "parsing/parser.mly"
+# 799 "parsing/parser.mly"
       (Parsetree.expression)
-# 26717 "parsing/parser.ml"
+# 26776 "parsing/parser.ml"
         ) = 
-# 1139 "parsing/parser.mly"
+# 1147 "parsing/parser.mly"
     ( _1 )
-# 26721 "parsing/parser.ml"
+# 26780 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26747,13 +26806,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 801 "parsing/parser.mly"
+# 809 "parsing/parser.mly"
       (Longident.t)
-# 26753 "parsing/parser.ml"
+# 26812 "parsing/parser.ml"
         ) = 
-# 1164 "parsing/parser.mly"
+# 1172 "parsing/parser.mly"
     ( _1 )
-# 26757 "parsing/parser.ml"
+# 26816 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26783,13 +26842,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 803 "parsing/parser.mly"
+# 811 "parsing/parser.mly"
       (Longident.t)
-# 26789 "parsing/parser.ml"
+# 26848 "parsing/parser.ml"
         ) = 
-# 1169 "parsing/parser.mly"
+# 1177 "parsing/parser.mly"
     ( _1 )
-# 26793 "parsing/parser.ml"
+# 26852 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26819,13 +26878,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 799 "parsing/parser.mly"
+# 807 "parsing/parser.mly"
       (Longident.t)
-# 26825 "parsing/parser.ml"
+# 26884 "parsing/parser.ml"
         ) = 
-# 1149 "parsing/parser.mly"
+# 1157 "parsing/parser.mly"
     ( _1 )
-# 26829 "parsing/parser.ml"
+# 26888 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26855,13 +26914,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 793 "parsing/parser.mly"
+# 801 "parsing/parser.mly"
       (Parsetree.pattern)
-# 26861 "parsing/parser.ml"
+# 26920 "parsing/parser.ml"
         ) = 
-# 1144 "parsing/parser.mly"
+# 1152 "parsing/parser.mly"
     ( _1 )
-# 26865 "parsing/parser.ml"
+# 26924 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26891,13 +26950,13 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (
-# 797 "parsing/parser.mly"
+# 805 "parsing/parser.mly"
       (Longident.t)
-# 26897 "parsing/parser.ml"
+# 26956 "parsing/parser.ml"
         ) = 
-# 1154 "parsing/parser.mly"
+# 1162 "parsing/parser.mly"
     ( _1 )
-# 26901 "parsing/parser.ml"
+# 26960 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26939,15 +26998,15 @@ module Tables = struct
           let _loc__2_ = (_startpos__2_, _endpos__2_) in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2633 "parsing/parser.mly"
+# 2653 "parsing/parser.mly"
       ( mkpat_cons ~loc:_sloc _loc__2_ (ghpat ~loc:_sloc (Ppat_tuple[_1;_3])) )
-# 26945 "parsing/parser.ml"
+# 27004 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 26951 "parsing/parser.ml"
+# 27010 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -26977,14 +27036,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.pattern) = let _1 = 
-# 2635 "parsing/parser.mly"
+# 2655 "parsing/parser.mly"
       ( Pat.attr _1 _2 )
-# 26983 "parsing/parser.ml"
+# 27042 "parsing/parser.ml"
          in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 26988 "parsing/parser.ml"
+# 27047 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27007,14 +27066,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 = 
-# 2637 "parsing/parser.mly"
+# 2657 "parsing/parser.mly"
       ( _1 )
-# 27013 "parsing/parser.ml"
+# 27072 "parsing/parser.ml"
          in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27018 "parsing/parser.ml"
+# 27077 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27059,15 +27118,15 @@ module Tables = struct
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 27065 "parsing/parser.ml"
+# 27124 "parsing/parser.ml"
                 
               in
               
-# 2640 "parsing/parser.mly"
+# 2660 "parsing/parser.mly"
         ( Ppat_alias(_1, _3) )
-# 27071 "parsing/parser.ml"
+# 27130 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__1_inlined1_ in
@@ -27075,21 +27134,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27081 "parsing/parser.ml"
+# 27140 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 27087 "parsing/parser.ml"
+# 27146 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27093 "parsing/parser.ml"
+# 27152 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27130,9 +27189,9 @@ module Tables = struct
             let _1 =
               let _loc__3_ = (_startpos__3_, _endpos__3_) in
               
-# 2642 "parsing/parser.mly"
+# 2662 "parsing/parser.mly"
         ( expecting _loc__3_ "identifier" )
-# 27136 "parsing/parser.ml"
+# 27195 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__3_ in
@@ -27140,21 +27199,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27146 "parsing/parser.ml"
+# 27205 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 27152 "parsing/parser.ml"
+# 27211 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27158 "parsing/parser.ml"
+# 27217 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27179,29 +27238,29 @@ module Tables = struct
         let _v : (Parsetree.pattern) = let _1 =
           let _1 =
             let _1 = 
-# 2644 "parsing/parser.mly"
+# 2664 "parsing/parser.mly"
         ( Ppat_tuple(List.rev _1) )
-# 27185 "parsing/parser.ml"
+# 27244 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27193 "parsing/parser.ml"
+# 27252 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 27199 "parsing/parser.ml"
+# 27258 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27205 "parsing/parser.ml"
+# 27264 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27242,9 +27301,9 @@ module Tables = struct
             let _1 =
               let _loc__3_ = (_startpos__3_, _endpos__3_) in
               
-# 2646 "parsing/parser.mly"
+# 2666 "parsing/parser.mly"
         ( expecting _loc__3_ "pattern" )
-# 27248 "parsing/parser.ml"
+# 27307 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__3_ in
@@ -27252,21 +27311,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27258 "parsing/parser.ml"
+# 27317 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 27264 "parsing/parser.ml"
+# 27323 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27270 "parsing/parser.ml"
+# 27329 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27305,30 +27364,30 @@ module Tables = struct
         let _v : (Parsetree.pattern) = let _1 =
           let _1 =
             let _1 = 
-# 2648 "parsing/parser.mly"
+# 2668 "parsing/parser.mly"
         ( Ppat_or(_1, _3) )
-# 27311 "parsing/parser.ml"
+# 27370 "parsing/parser.ml"
              in
             let _endpos__1_ = _endpos__3_ in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27320 "parsing/parser.ml"
+# 27379 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 27326 "parsing/parser.ml"
+# 27385 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27332 "parsing/parser.ml"
+# 27391 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27369,9 +27428,9 @@ module Tables = struct
             let _1 =
               let _loc__3_ = (_startpos__3_, _endpos__3_) in
               
-# 2650 "parsing/parser.mly"
+# 2670 "parsing/parser.mly"
         ( expecting _loc__3_ "pattern" )
-# 27375 "parsing/parser.ml"
+# 27434 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__3_ in
@@ -27379,21 +27438,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27385 "parsing/parser.ml"
+# 27444 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 27391 "parsing/parser.ml"
+# 27450 "parsing/parser.ml"
           
         in
         
-# 2621 "parsing/parser.mly"
+# 2641 "parsing/parser.mly"
       ( _1 )
-# 27397 "parsing/parser.ml"
+# 27456 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27441,24 +27500,24 @@ module Tables = struct
           let _2 =
             let _1 = _1_inlined1 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 27447 "parsing/parser.ml"
+# 27506 "parsing/parser.ml"
             
           in
           
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 27453 "parsing/parser.ml"
+# 27512 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__3_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2623 "parsing/parser.mly"
+# 2643 "parsing/parser.mly"
       ( mkpat_attrs ~loc:_sloc (Ppat_exception _3) _2)
-# 27462 "parsing/parser.ml"
+# 27521 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27495,9 +27554,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern list) = 
-# 2747 "parsing/parser.mly"
+# 2767 "parsing/parser.mly"
                                                 ( _3 :: _1 )
-# 27501 "parsing/parser.ml"
+# 27560 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
